Bug 483769 - Conga always shows VM properties as "Run exclusive" (regardless of what cluster.conf says)
Conga always shows VM properties as "Run exclusive" (regardless of what clust...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 10:17 EST by mnielsen
Modified: 2010-10-23 03:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mnielsen 2009-02-03 10:17:59 EST
Description of problem:
Conga (luci-0.12.1-7.el5) is displaying incorrect information for a Virtual Machine as a service under the "Run exclusive" check box. If I un-check the box, and update, the box is still checked. Cluster.conf shows exclusive="0" for the VM service, so it conflicts with what is being shown. If you un-check then check the box, and update, cluster.conf shows exclusive="1" so the functionality of the button is working. 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. add a VM as a service
2. observe the VM properties for run exclusive
3. check box is always checked despite what cluster.conf says
  
Actual results:
run exclusive is always checked

Expected results:
run exclusive properly reflects cluster.conf

Additional info:
Comment 1 mnielsen 2009-02-10 12:10:30 EST
I'm happy to test patches if you want to throw them over the wall.
Comment 3 Gunther Schlegel 2009-03-03 07:31:01 EST
This has been introduced as part of 5.3, so it is a regression.

It is quite nasty in production environments.
Comment 8 Chris Ward 2009-07-03 14:22:57 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 9 Brian Brock 2009-07-27 12:52:41 EDT
fix verified in luci-0.12.2-6.el5, cluster.conf and GUI are synchronized properly.
Comment 11 errata-xmlrpc 2009-09-02 07:52:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1381.html

Note You need to log in before you can comment on or make changes to this bug.